Changeset 1390 for ThirdParty/Glpk


Ignore:
Timestamp:
Aug 1, 2009 9:27:04 AM (10 years ago)
Author:
stefan
Message:

update to glpk 4.39

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1299 r1390  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.38.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.39.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.38.tar.gz
    21 tar xf glpk-4.38.tar
     20gunzip glpk-4.39.tar.gz
     21tar xf glpk-4.39.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.38
     24  glpk-4.39
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1379 r1390  
    3434$(GLPKDIR)/src/glpapi18.c \
    3535$(GLPKDIR)/src/glpapi19.c \
    36 $(GLPKDIR)/src/glpapi20.c \
    3736$(GLPKDIR)/src/glpavl.c \
    3837$(GLPKDIR)/src/glpbfd.c \
     
    7271$(GLPKDIR)/src/glplib12.c \
    7372$(GLPKDIR)/src/glplpf.c \
    74 $(GLPKDIR)/src/glplpp01.c \
    75 $(GLPKDIR)/src/glplpp02.c \
    7673$(GLPKDIR)/src/glplpx01.c \
    7774$(GLPKDIR)/src/glplpx02.c \
    7875$(GLPKDIR)/src/glplpx03.c \
    7976$(GLPKDIR)/src/glplpx04.c \
    80 $(GLPKDIR)/src/glplpx05.c \
    8177$(GLPKDIR)/src/glpluf.c \
    8278$(GLPKDIR)/src/glplux.c \
     
    9894$(GLPKDIR)/src/glpnpp01.c \
    9995$(GLPKDIR)/src/glpnpp02.c \
     96$(GLPKDIR)/src/glpnpp03.c \
    10097$(GLPKDIR)/src/glpqmd.c \
    10198$(GLPKDIR)/src/glprgr.c \
     
    105102$(GLPKDIR)/src/glpscg.c \
    106103$(GLPKDIR)/src/glpscl.c \
    107 $(GLPKDIR)/src/glpsds.c \
     104$(GLPKDIR)/src/glpsdf.c \
    108105$(GLPKDIR)/src/glpspm.c \
    109106$(GLPKDIR)/src/glpspx01.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1379 r1390  
    8989        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    9090        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    91         glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
    92         glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
    93         glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
    94         glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
    95         glpios09.lo glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo \
    96         glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
    97         glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
    98         glplib11.lo glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo \
    99         glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo \
    100         glpluf.lo glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo \
    101         glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps.lo \
    102         glpnet01.lo glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo \
    103         glpnet06.lo glpnet07.lo glpnpp01.lo glpnpp02.lo glpqmd.lo \
    104         glprgr.lo glprng01.lo glprng02.lo glpscf.lo glpscg.lo \
    105         glpscl.lo glpsds.lo glpspm.lo glpspx01.lo glpspx02.lo \
    106         glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo \
    107         amd_control.lo amd_defaults.lo amd_dump.lo amd_info.lo \
    108         amd_order.lo amd_postorder.lo amd_post_tree.lo \
     91        glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
     92        glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
     93        glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
     94        glpios05.lo glpios06.lo glpios07.lo glpios08.lo glpios09.lo \
     95        glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
     96        glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
     97        glplib07.lo glplib08.lo glplib09.lo glplib10.lo glplib11.lo \
     98        glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo glplpx03.lo \
     99        glplpx04.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
     100        glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo \
     101        glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo glpnet04.lo \
     102        glpnet05.lo glpnet06.lo glpnet07.lo glpnpp01.lo glpnpp02.lo \
     103        glpnpp03.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
     104        glpscf.lo glpscg.lo glpscl.lo glpsdf.lo glpspm.lo glpspx01.lo \
     105        glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo \
     106        amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo amd_dump.lo \
     107        amd_info.lo amd_order.lo amd_postorder.lo amd_post_tree.lo \
    109108        amd_preprocess.lo amd_valid.lo colamd.lo
    110109libcoinglpk_la_OBJECTS = $(am_libcoinglpk_la_OBJECTS)
     
    297296$(GLPKDIR)/src/glpapi18.c \
    298297$(GLPKDIR)/src/glpapi19.c \
    299 $(GLPKDIR)/src/glpapi20.c \
    300298$(GLPKDIR)/src/glpavl.c \
    301299$(GLPKDIR)/src/glpbfd.c \
     
    335333$(GLPKDIR)/src/glplib12.c \
    336334$(GLPKDIR)/src/glplpf.c \
    337 $(GLPKDIR)/src/glplpp01.c \
    338 $(GLPKDIR)/src/glplpp02.c \
    339335$(GLPKDIR)/src/glplpx01.c \
    340336$(GLPKDIR)/src/glplpx02.c \
    341337$(GLPKDIR)/src/glplpx03.c \
    342338$(GLPKDIR)/src/glplpx04.c \
    343 $(GLPKDIR)/src/glplpx05.c \
    344339$(GLPKDIR)/src/glpluf.c \
    345340$(GLPKDIR)/src/glplux.c \
     
    361356$(GLPKDIR)/src/glpnpp01.c \
    362357$(GLPKDIR)/src/glpnpp02.c \
     358$(GLPKDIR)/src/glpnpp03.c \
    363359$(GLPKDIR)/src/glpqmd.c \
    364360$(GLPKDIR)/src/glprgr.c \
     
    368364$(GLPKDIR)/src/glpscg.c \
    369365$(GLPKDIR)/src/glpscl.c \
    370 $(GLPKDIR)/src/glpsds.c \
     366$(GLPKDIR)/src/glpsdf.c \
    371367$(GLPKDIR)/src/glpspm.c \
    372368$(GLPKDIR)/src/glpspx01.c \
     
    549545@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    550546@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
    551 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    552547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    553548@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    587582@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib12.Plo@am__quote@
    588583@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpf.Plo@am__quote@
    589 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpp01.Plo@am__quote@
    590 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpp02.Plo@am__quote@
    591584@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx01.Plo@am__quote@
    592585@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx02.Plo@am__quote@
    593586@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx03.Plo@am__quote@
    594587@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx04.Plo@am__quote@
    595 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx05.Plo@am__quote@
    596588@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    597589@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    613605@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp01.Plo@am__quote@
    614606@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
     607@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp03.Plo@am__quote@
    615608@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    616609@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    620613@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscg.Plo@am__quote@
    621614@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscl.Plo@am__quote@
    622 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsds.Plo@am__quote@
     615@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsdf.Plo@am__quote@
    623616@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspm.Plo@am__quote@
    624617@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx01.Plo@am__quote@
     
    782775@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    783776
    784 glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
    785 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
    786 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
    787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
    788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    789 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
    790 
    791777glpavl.lo: $(GLPKDIR)/src/glpavl.c
    792778@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    10481034@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpf.lo `test -f '$(GLPKDIR)/src/glplpf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpf.c
    10491035
    1050 glplpp01.lo: $(GLPKDIR)/src/glplpp01.c
    1051 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpp01.lo -MD -MP -MF "$(DEPDIR)/glplpp01.Tpo" -c -o glplpp01.lo `test -f '$(GLPKDIR)/src/glplpp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpp01.c; \
    1052 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpp01.Tpo" "$(DEPDIR)/glplpp01.Plo"; else rm -f "$(DEPDIR)/glplpp01.Tpo"; exit 1; fi
    1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpp01.c' object='glplpp01.lo' libtool=yes @AMDEPBACKSLASH@
    1054 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1055 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpp01.lo `test -f '$(GLPKDIR)/src/glplpp01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpp01.c
    1056 
    1057 glplpp02.lo: $(GLPKDIR)/src/glplpp02.c
    1058 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpp02.lo -MD -MP -MF "$(DEPDIR)/glplpp02.Tpo" -c -o glplpp02.lo `test -f '$(GLPKDIR)/src/glplpp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpp02.c; \
    1059 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpp02.Tpo" "$(DEPDIR)/glplpp02.Plo"; else rm -f "$(DEPDIR)/glplpp02.Tpo"; exit 1; fi
    1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpp02.c' object='glplpp02.lo' libtool=yes @AMDEPBACKSLASH@
    1061 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1062 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpp02.lo `test -f '$(GLPKDIR)/src/glplpp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpp02.c
    1063 
    10641036glplpx01.lo: $(GLPKDIR)/src/glplpx01.c
    10651037@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx01.lo -MD -MP -MF "$(DEPDIR)/glplpx01.Tpo" -c -o glplpx01.lo `test -f '$(GLPKDIR)/src/glplpx01.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx01.c; \
     
    10901062@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx04.lo `test -f '$(GLPKDIR)/src/glplpx04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx04.c
    10911063
    1092 glplpx05.lo: $(GLPKDIR)/src/glplpx05.c
    1093 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx05.lo -MD -MP -MF "$(DEPDIR)/glplpx05.Tpo" -c -o glplpx05.lo `test -f '$(GLPKDIR)/src/glplpx05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx05.c; \
    1094 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx05.Tpo" "$(DEPDIR)/glplpx05.Plo"; else rm -f "$(DEPDIR)/glplpx05.Tpo"; exit 1; fi
    1095 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx05.c' object='glplpx05.lo' libtool=yes @AMDEPBACKSLASH@
    1096 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1097 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx05.lo `test -f '$(GLPKDIR)/src/glplpx05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx05.c
    1098 
    10991064glpluf.lo: $(GLPKDIR)/src/glpluf.c
    11001065@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    12301195@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp02.lo `test -f '$(GLPKDIR)/src/glpnpp02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp02.c
    12311196
     1197glpnpp03.lo: $(GLPKDIR)/src/glpnpp03.c
     1198@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp03.lo -MD -MP -MF "$(DEPDIR)/glpnpp03.Tpo" -c -o glpnpp03.lo `test -f '$(GLPKDIR)/src/glpnpp03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp03.c; \
     1199@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp03.Tpo" "$(DEPDIR)/glpnpp03.Plo"; else rm -f "$(DEPDIR)/glpnpp03.Tpo"; exit 1; fi
     1200@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp03.c' object='glpnpp03.lo' libtool=yes @AMDEPBACKSLASH@
     1201@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1202@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp03.lo `test -f '$(GLPKDIR)/src/glpnpp03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp03.c
     1203
    12321204glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    12331205@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    12791251@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscl.lo `test -f '$(GLPKDIR)/src/glpscl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscl.c
    12801252
    1281 glpsds.lo: $(GLPKDIR)/src/glpsds.c
    1282 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpsds.lo -MD -MP -MF "$(DEPDIR)/glpsds.Tpo" -c -o glpsds.lo `test -f '$(GLPKDIR)/src/glpsds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsds.c; \
    1283 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpsds.Tpo" "$(DEPDIR)/glpsds.Plo"; else rm -f "$(DEPDIR)/glpsds.Tpo"; exit 1; fi
    1284 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpsds.c' object='glpsds.lo' libtool=yes @AMDEPBACKSLASH@
    1285 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1286 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpsds.lo `test -f '$(GLPKDIR)/src/glpsds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsds.c
     1253glpsdf.lo: $(GLPKDIR)/src/glpsdf.c
     1254@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpsdf.lo -MD -MP -MF "$(DEPDIR)/glpsdf.Tpo" -c -o glpsdf.lo `test -f '$(GLPKDIR)/src/glpsdf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsdf.c; \
     1255@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpsdf.Tpo" "$(DEPDIR)/glpsdf.Plo"; else rm -f "$(DEPDIR)/glpsdf.Tpo"; exit 1; fi
     1256@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpsdf.c' object='glpsdf.lo' libtool=yes @AMDEPBACKSLASH@
     1257@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1258@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpsdf.lo `test -f '$(GLPKDIR)/src/glpsdf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsdf.c
    12871259
    12881260glpspm.lo: $(GLPKDIR)/src/glpspm.c
  • ThirdParty/Glpk/trunk/configure

    r1379 r1390  
    1989819898  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    1989919899echo "${ECHO_T}${majorver}.${minorver}" >&6
    19900   if test x$majorver != x4 || test x$minorver != x38 ; then
    19901     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&5
    19902 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&2;}
     19900  if test x$majorver != x4 || test x$minorver != x39 ; then
     19901    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
     19902echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
    1990319903   { (exit 1); exit 1; }; }
    1990419904  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1379 r1390  
    7676  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    7777  AC_MSG_RESULT([${majorver}.${minorver}])
    78   if test x$majorver != x4 || test x$minorver != x38 ; then
    79     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK"])
     78  if test x$majorver != x4 || test x$minorver != x39 ; then
     79    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK"])
    8080  fi
    8181#else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1299 r1390  
    22
    33set -e
    4 glpk_ver=4.38
     4glpk_ver=4.39
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1252 r1390  
    11--- glpk/src/glplpx01.c.orig    2008-09-05 19:44:36.000000000 +0200
    22+++ glpk/src/glplpx01.c 2008-09-05 19:42:45.000000000 +0200
    3 @@ -381,7 +381,7 @@
     3@@ -383,7 +383,7 @@
    44       ret = glp_simplex(lp, &parm);
    55       switch (ret)
Note: See TracChangeset for help on using the changeset viewer.